Package io.dapr.client.domain

# Class ExecuteStateTransactionRequest

java.lang.Object
io.dapr.client.domain.ExecuteStateTransactionRequest

public class ExecuteStateTransactionRequest extends Object
A request for executing state transaction operations.

## Constructor Summary

Constructors
Constructor
Description
`ExecuteStateTransactionRequest(String stateStoreName)`
Constructor for ExecuteStateTransactionRequest.

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getMetadata()`
`List<TransactionalStateOperation<?>>`
`getOperations()`
`String`
`getStateStoreName()`
`ExecuteStateTransactionRequest`
`setMetadata(Map<String,String> metadata)`
`ExecuteStateTransactionRequest`
`setOperations(List<TransactionalStateOperation<?>> operations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExecuteStateTransactionRequest

public ExecuteStateTransactionRequest(String stateStoreName)
Constructor for ExecuteStateTransactionRequest.

Parameters:
  `stateStoreName` - Name of the state store

## Method Details

### getStateStoreName

public String getStateStoreName()

### setOperations

public ExecuteStateTransactionRequest setOperations(List<TransactionalStateOperation<?>> operations)

### getOperations

public List<TransactionalStateOperation<?>> getOperations()

### setMetadata

public ExecuteStateTransactionRequest setMetadata(Map<String,String> metadata)

### getMetadata

public Map<String,String> getMetadata()